Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista.Sequence
Class CorrelWrapper

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
          edu.udo.cs.miningmart.compiler.wrapper.dista.Sequence.CorrelWrapper

    public class CorrelWrapper

extends Wrapper

Version:
  $Id: CorrelWrapper.java,v 1.5 2006/09/27 15:00:04 euler Exp $
Author:
  Alessandro Serra, Timm Euler

Field Summary
`protected java.io.PrintWriter` | `m_data`
`protected java.lang.String` | `m_file_name`

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
`m_do_clean, m_log, m_md, m_ml_home, m_os_name, m_properties, m_result_name, m_sample_size, m4db`

Constructor Summary
`CorrelWrapper(Step step, ExecutableOperator exOp)`

Method Summary
`protected void` | `callTool()`
`void` | `checkMetaData()`
`protected void` | `clean()`
`protected void` | `exportData()`
`protected void` | `exportTable()`
`protected java.lang.String` | `getSampleTableName()`
`protected void` | `importResult()`
`protected java.lang.String` | `makeQuery()`
`protected void` | `saveResult()`
`protected void` | `setSampleTableName(java.lang.String sampleTableName)`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
`callScript, getArtificalColumnName, getExecutableOperator, getM4Db, getSampleRatio, getStep, run, setConnection, setMetaData, setProperties, setResultName, setSampleSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_file_name

    protected java.lang.String m_file_name

### m_data

    protected java.io.PrintWriter m_data

Constructor Detail

### CorrelWrapper

    public CorrelWrapper(Step step,
                         ExecutableOperator exOp)
                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### checkMetaData

    public void checkMetaData()
                       throws java.lang.Exception

  Specified by:
    `checkMetaData` in class `Wrapper`
  Throws:
    `java.lang.Exception`

### makeQuery

    protected java.lang.String makeQuery()
                                  throws DMException,
                                         DbConnectionClosed,
                                         M4CompilerError

  Throws:
    `DMException`
    `DbConnectionClosed`
    `M4CompilerError`

### exportTable

    protected void exportTable()
                        throws java.lang.Exception

  Specified by:
    `exportTable` in class `Wrapper`
  Throws:
    `java.lang.Exception`

### exportData

    protected void exportData()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### callTool

    protected void callTool()
                     throws java.lang.Exception

  Specified by:
    `callTool` in class `Wrapper`
  Throws:
    `java.lang.Exception`

### clean

    protected void clean()
                  throws java.lang.Exception

  Specified by:
    `clean` in class `Wrapper`
  Throws:
    `java.lang.Exception`

### importResult

    protected void importResult()
                         throws java.lang.Exception

  Specified by:
    `importResult` in class `Wrapper`
  Throws:
    `java.lang.Exception`

### saveResult

    protected void saveResult()
                       throws java.lang.Exception

  Specified by:
    `saveResult` in class `Wrapper`
  Throws:
    `java.lang.Exception`

### setSampleTableName

    protected void setSampleTableName(java.lang.String sampleTableName)

### getSampleTableName

    protected java.lang.String getSampleTableName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005